.modal {
  .modal-content {
    padding: 24px 48px;
    border: none !important;
    border-radius: 6px !important;
    @include media-breakpoint-down(sm) {
      padding: 16px;
    }
  }

  .modal-header {
    font-size: 16px;
    font-family: $istok-web;
    font-weight: bold;
    color: $nlbDarkestGreyColor;
    padding: 0 0 8px 0;
    border-bottom: 1px solid $nlbLightGreyColor;

    .icon-nlb-ico-close {
      color: $nlbMainGreyColor;
    }

    h2 {
      font-family: Istok Web, sans-serif;
      font-weight: bold;
      color: $navigationLabelGray;
      font-size: 21px;
      line-height: 21px;
    }
  }

  .modal-title {
    font-family: Istok Web, sans-serif;
    font-weight: bold;
    color: $navigationLabelGray;
    font-size: 21px;
    line-height: 21px;
  }

  .modal-subtitle {
    color: $nlbDarkGreyColor;
    font-size: 16px;
    font-weight: 500;
  }

  .modal-footer {
    border-top: 1px solid $nlbLightGreyColor;
    padding: 24px 0 0 0;
  }

  .btn-danger {
    background: $nlbRedColor;
    color: $nlbWhiteColor !important;

    &:hover {
      background: $nlbRedShadeColor;
    }
  }
}

.modal-content-custom {
  .modal-label {
    margin-bottom: 0;
    color: $nlbMainGreyColor;
    font-family: Roboto-Light, sans-serif;
    font-size: 14px;
    font-weight: 300;
  }

  .modal-value {
    color: $nlbDarkerGreyColor;
    font-family: Roboto, sans-serif;
    font-size: 14px;
  }

  .modal-info {
    display: flex;
    color: $nlbMainGreyColor;
    font-family: 'Istok Web', sans-serif;
    font-size: 12px;

    i {
      font-size: 20px;
      margin-right: 5px;
    }

    i.icon-nlb-ico-info::before {
      background: $nlb-gray-a;
      color: white;
      border-radius: 50%;
    }
  }

  // color: $nlbGreyColor;
  h6 {
    font-family: Roboto-Medium, sans-serif;
    font-size: 16px;
  }

  padding-top: 1rem;
  @include media-breakpoint-down(sm) {
    padding: 1rem 0;
  }

  &.max-height-modal {
    max-height: 420px;
    overflow: auto;
  }
}

body.modal-open {
  position: fixed;
  height: 100vh;

  .dummy-wrapper {
    filter: blur(6px);
  }
}
